<?php
declare(strict_types=1);

namespace PpPhp\Core\Platform\DI\Definition;

use PpPhp\Core\Platform\DI\Contracts\ContainerInterface;
use PpPhp\Core\Platform\DI\Contracts\ResolverInterface;
use PpPhp\Core\Platform\DI\Metadata\DefinitionType;

final class SyntheticDefinition extends AbstractDefinition
{
    public function type(): string
    {
        return DefinitionType::SYNTHETIC_SERVICE;
    }

    public function resolve(ContainerInterface $container, ResolverInterface $resolver): mixed
    {
        return null;
    }

    public function toArray(): array
    {
        return $this->baseArray();
    }
}
